Index: FOIAVistA/tag/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/_ZIS6.m
===================================================================
--- FOIAVistA/trunk/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/_ZIS6.m	(revision 631)
+++ FOIAVistA/tag/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/_ZIS6.m	(revision 636)
@@ -1,10 +1,7 @@
-%ZIS6 ;SFISC/AC - DEVICE HANDLER -- RESOURCES ;1/24/08  16:09
- ;;8.0;KERNEL;**24,49,69,118,127,136,440**;JUL 10, 1995;Build 13
- ;Per VHA Directive 2004-038, this routine should not be modified
+%ZIS6 ;SFISC/AC - DEVICE HANDLER -- RESOURCES ;02/04/2000  08:14
+ ;;8.0;KERNEL;**24,49,69,118,127,136**;JUL 10, 1995
  ;Expect that IO is current device
-OXECUTE ;Open Execute
- I $D(^%ZIS(2,%ZISIOST(0),2))=1 S %Y=^(2) D 2
-ANSBAK ;Answer Back
- I $D(^%ZIS(2,%ZISIOST(0),102)) S %Y=^(102) D 2 E  S POP=1 D:'$D(IOP) SAY($C(7)_"[NOT ON LINE]") C:%ZISB IO K IO(1,IO) G QUIT
+OXECUTE I $D(^%ZIS(2,%ZISIOST(0),2))=1 S %Y=^(2) D 2
+ANSBAK I $D(^%ZIS(2,%ZISIOST(0),102)) S %Y=^(102) D 2 E  S POP=1 D:'$D(IOP) SAY($C(7)_"[NOT ON LINE]") C:%ZISB IO K IO(1,IO) G QUIT
  I $D(%ZISMTR) X ^%ZOSF("MAGTAPE") U IO W:$D(%MT("REW")) @%MT("REW") U IO(0) K %MT
  G QUIT:'$D(IO("P"))
@@ -63,17 +60,13 @@
 HG ;
  Q
-SPL ;Spool type
- N %E,%Z D MARGN^%ZIS3 W:'$D(IOP) ! D SPOOL^%ZIS4:%IS'["T"
+SPL N %E,%Z D MARGN^%ZIS3 W:'$D(IOP) ! D SPOOL^%ZIS4:%IS'["T" ;Spool type
  G Q
 MT D MARGN^%ZIS3,ASKPAR,AMTREW:'POP&'$D(IOP)&%ZISB W:'$D(IOP) ! D O^%ZIS4:'POP&(%ZISB&(%IS'["T")) ;Magtape type
  G Q
-SDP ;Sequential disk processor type
- D MARGN^%ZIS3,ASKPAR W:'$D(IOP) ! D O^%ZIS4:'POP&(%ZISB&(%IS'["T"))
+SDP D MARGN^%ZIS3,ASKPAR W:'$D(IOP) ! D O^%ZIS4:'POP&(%ZISB&(%IS'["T")) ;Sequential disk processor type
  G Q
-HFS ;Host File Server type
- D MARGN^%ZIS3,HFS^%ZIS4 W:'$D(IOP) ! D O^%ZIS4:'POP&(%ZISB&(%IS'["T"))
+HFS D MARGN^%ZIS3,HFS^%ZIS4 W:'$D(IOP) ! D O^%ZIS4:'POP&(%ZISB&(%IS'["T")) ;Host File Server type
  G Q
-RES ;Resources
- G Q:%IS["T" N X,X1 I %IS'["R"!'$D(IOP) S POP=1 W:'$D(IOP) *7,"  [NOT AVAILABLE]" Q
+RES G Q:%IS["T" N X,X1 I %IS'["R"!'$D(IOP) S POP=1 W:'$D(IOP) *7,"  [NOT AVAILABLE]" Q  ;Resources
  G Q:$D(IO(1,IO)) I %IS["T" S X=IO,X1="RES" D DEVOK^%ZIS3 S:Y POP=1 G Q:POP
  D:%ZISB RES1 G Q
@@ -84,18 +77,12 @@
 IMPC ;Imaging Work Station
 BAR ;Bar Code
-OTH ;Other Device type
- D MARGN^%ZIS3:'POP,ASKPAR:'POP W:'$D(IOP) ! D O^%ZIS4:'POP&(%ZISB&(%IS'["T"))
+OTH D MARGN^%ZIS3:'POP,ASKPAR:'POP W:'$D(IOP) ! D O^%ZIS4:'POP&(%ZISB&(%IS'["T")) ;Other Device type
  G Q
  ;
-ASKPAR ;Ask Parameters
- G SETPAR^%ZIS3:$D(IOP),SETPAR^%ZIS3:'$P(^%ZIS(1,%E,0),"^",4) W "  ADDRESS/PARAMETERS: " W:%ZISOPAR]"" %ZISOPAR_"// " D SBR^%ZIS1 D MSG1:%X="?" G ASKPAR:%X="?" S:%X]"" %ZISOPAR=%X I $D(DTOUT)!$D(DUOUT) S POP=1
+ASKPAR G SETPAR^%ZIS3:$D(IOP),SETPAR^%ZIS3:'$P(^%ZIS(1,%E,0),"^",4) W "  ADDRESS/PARAMETERS: " W:%ZISOPAR]"" %ZISOPAR_"// " D SBR^%ZIS1 D MSG1:%X="?" G ASKPAR:%X="?" S:%X]"" %ZISOPAR=%X I $D(DTOUT)!$D(DUOUT) S POP=1
  I POP,%ZISB&(%ZTYPE["TRM") C IO K IO(1,IO) Q
  Q:POP  G SETPAR^%ZIS3
+AMTREW I %ZISB,%ZTYPE="MT",'$D(IOP) W "  REWIND" S %=2,U="^",%ZISDTIM=60 D YN^%ZIS1 K %ZISDTIM G AMTREW:%=0 I %=-1 S POP=1 Q
+ S:%=1 %ZISMTR=1 Q
+MSG1 W !?5,"Enter the desired parameters needed to open the selected device.",!?25 Q
  ;
-AMTREW ;Mag Tape Rewind
- I %ZISB,%ZTYPE="MT",'$D(IOP) W "  REWIND" S %=2,U="^",%ZISDTIM=60 D YN^%ZIS1 K %ZISDTIM G AMTREW:%=0 I %=-1 S POP=1 Q
- S:%=1 %ZISMTR=1
- Q
-MSG1 W !?5,"Enter the desired parameters needed to open the selected device.",!?25
- Q
- ;
Index: FOIAVistA/tag/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/_ZISC.m
===================================================================
--- FOIAVistA/trunk/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/_ZISC.m	(revision 631)
+++ FOIAVistA/tag/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/_ZISC.m	(revision 636)
@@ -1,5 +1,4 @@
-%ZISC ;SFISC/GFT,AC,MUS - CLOSE LOGIC FOR DEVICES  ;1/24/08  16:09
- ;;8.0;KERNEL;**24,36,49,69,199,216,275,409,440**;JUL 10, 1995;Build 13
- ;Per VHA Directive 2004-038, this routine should not be modified
+%ZISC ;SFISC/GFT,AC,MUS - CLOSE LOGIC FOR DEVICES  ;01/14/2002  09:06
+ ;;8.0;KERNEL;**24,36,49,69,199,216,275,409**;JUL 10, 1995;Build 3
 C0 ;
  N %,%E,%H,%ZISI,%ZISOS,%ZISX,%ZISV
@@ -42,7 +41,9 @@
  . U:$S($D(ZTQUEUED):0,'$L($G(IO(0))):0,$D(IO(1,IO(0)))#2:1,1:0) IO(0)
  . C IO K IO(1,IO) S IO("CLOSE")=IO ;close device
- ;Unlock global used to control access.
- S %=$G(^XUTL("XQ",$J,"lock",+$G(IOS))) I $L(%) L -@% K ^XUTL("XQ",$J,"lock",IOS)
  ;
+ ;
+ I $D(IOT),IOT="CHAN",$D(IOS) D
+ .S %=$G(^%ZIS(1,+IOS,"GBL"))
+ .I %]"" L @("-^"_%) ;unlock global used to control access to network channels.
  I $D(IO("SPOOL")) D CLOSE^%ZIS4 ;Special close for spool device
  ;
Index: FOIAVistA/tag/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/_ZISS1.m
===================================================================
--- FOIAVistA/trunk/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/_ZISS1.m	(revision 631)
+++ FOIAVistA/tag/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/_ZISS1.m	(revision 636)
@@ -1,15 +1,9 @@
-%ZISS1 ;AC/SFISC - Collect screen parameters 5/29/88  2:02 PM ;1/24/08  16:10
- ;;8.0;KERNEL;**69,440**;JUL 10, 1995;Build 13
- ;Per VHA Directive 2004-038, this routine should not be modified
-VALID ;
- N %ZISI,%ZISNP,ZISCH,ZISEND,ZISNUM,ZISQ,ZISXL,ZISXLN ;p440
- D L
+%ZISS1 ;AC/SFISC - Collect screen parameters 5/29/88  2:02 PM ;11/05/97  08:40
+ ;;8.0;KERNEL;**69**;JUL 10, 1995
+VALID D L K %ZISI,%ZISNP,ZISCH,ZISEND,ZISNUM,ZISQ,ZISXL,ZISXLN Q
+ ;
+SET2 S %ZISFN="" F %ZISZ=0:0 S %ZISFN=$O(%ZISZ(%ZISFN)) Q:%ZISFN=""  I $D(%ZISZ(%ZISFN))#2 S %ZISXX=%ZISZ(%ZISFN) D INDCK
  Q
- ;
-SET2 ;
- S %ZISFN="" F %ZISZ=0:0 S %ZISFN=$O(%ZISZ(%ZISFN)) Q:%ZISFN=""  I $D(%ZISZ(%ZISFN))#2 S %ZISXX=%ZISZ(%ZISFN) D INDCK
- Q
-INDCK ;
- S %ZISY=""
+INDCK S %ZISY=""
  I "IOEFLD^IOSTBM"[%ZISFN S @%ZISFN=%ZISXX Q
  I %ZISXX]"" S @("%ZISY="_%ZISXX)
@@ -18,30 +12,25 @@
  E  S @("IO"_$E(%ZISFN,1,6))=%ZISY
  Q:'$D(%ZIS)#2  Q:%ZIS'["I"  Q:'$D(%ZISZ(%ZISFN,1))
- ;
-SRAY ;
- S %=%ZISY,%ZISY=$A($E(%ZISY,1))
+SRAY S %=%ZISY,%ZISY=$A($E(%ZISY,1))
  F %1=2:1:$L(%) S %ZISY=%ZISY_$S($A(%,%1)<32:$A(%,%1),$A(%,%1)=127:127,1:$E(%,%1))
  S IOIS(%ZISY)=%ZISFN
  Q
 CHECK ;Entry point called from input transforms of fields in DEV/TT files.
- N %ZISXX,%ZISYY,%ZISI,%ZISNP,%ZISX1,%ZISX2,ZISCH,ZISNUM,ZISQ,ZISXL,ZISXLN ;p440
- S %ZISXX=X D L S X=%ZISYY
+ S %ZISXX=X D L S X=%ZISYY K %ZISXX,%ZISYY,%ZISI,%ZISNP,%ZISX1,%ZISX2,ZISCH,ZISNUM,ZISQ,ZISXL,ZISXLN
  Q
 CHECK1 ;Entry point called from input transforms of fields in DEV/TT files.
- N %ZISXX,%ZISYY,%ZISI,%ZISNP,%ZISX1,%ZISX2,ZISCH,ZISNUM,ZISQ,ZISXL,ZISXLN ;p440
  S %ZISXX=$S(X?1"W ".E:$E(X,3,$L(X)),1:X)
- D L S X=$S(X?1"W ".E:"W "_%ZISYY,1:%ZISYY)
+ D L S X=$S(X?1"W ".E:"W "_%ZISYY,1:%ZISYY) K %ZISXX,%ZISYY,%ZISI,%ZISNP,%ZISX1,%ZISX2,ZISCH,ZISNUM,ZISQ,ZISXL,ZISXLN
  Q
 FORM ;Entry point called from input transforms of fields in DEV/TT files.
  Q:$L(X,"_")'>1
- N %ZISSI,%ZISSY ;p440
  ;F %ZISSI=1:1:$L(X,"_") S %ZISX1=$P(X,"_",%ZISSI) I %ZISX1]"","#?!"[$E(%ZISX1) S X=$S(%ZISSI=1:"",1:$P(X,"_",1,%ZISSI-1)_",")_%ZISX1_$S(%ZISSI<$L(X,"_"):","_$P(X,"_",%ZISSI+1,255),1:"") W !,%ZISSI_"==>"_X
  S %ZISSY=""
  F %ZISSI=1:1:$L(X,"_") S %ZISSY=%ZISSY_$P(X,"_",%ZISSI)_$S($P(X,"_",%ZISSI+1)="":"","#?!"[$E($P(X,"_",%ZISSI+1)):",","#?!"[$E($P(X,"_",%ZISSI)):",",1:"_")
- S X=%ZISSY
+ S X=%ZISSY K %ZISSI,%ZISSY
  Q
  ;
 L S ZISQ="""",%ZISNP=0,ZISXLN=$L(%ZISXX) I 'ZISXLN S %ZISYY="" Q
- S ZISXL=0,%ZISYY="" F %ZISI=0:0 S ZISXL=ZISXL+1 S ZISCH=$E(%ZISXX,ZISXL) D L1 Q:ZISXL'<ZISXLN
+ S (ZISXL)=0,%ZISYY="" F %ZISI=0:0 S ZISXL=ZISXL+1 S ZISCH=$E(%ZISXX,ZISXL) D L1 Q:ZISXL'<ZISXLN
  ;I $L(%ZISYY,"$C(")>2,%ZISYY[")_$C(" S %ZISXX=%ZISYY D L2,L3 S %ZISYY=%ZISXX Q
  S %ZISXX=%ZISYY D L2,L3 S %ZISYY=%ZISXX
@@ -52,13 +41,8 @@
  I ZISCH="*" D STAR Q
  I ZISCH="(" D PAREN Q
- S %ZISYY=%ZISYY_ZISCH
+ S %ZISYY=%ZISYY_ZISCH Q
+L2 F I=1:1:$L(%ZISXX,"_") S %ZISX1=$P(%ZISXX,"_",I),%ZISX2=$P(%ZISXX,"_",I+1) I $E(%ZISX1,1,3)="$C(",$E(%ZISX2,1,3)="$C(" D S2
  Q
-L2 ;Find $C(x)_$C(y) and merge
- N I ;p440
- F I=1:1:$L(%ZISXX,"_") S %ZISX1=$P(%ZISXX,"_",I),%ZISX2=$P(%ZISXX,"_",I+1) I $E(%ZISX1,1,3)="$C(",$E(%ZISX2,1,3)="$C(" D S2
- Q
-L3 ;
- N I
- F I=1:1:$L(%ZISXX,"_") I $P(%ZISXX,"_",I)["+","$("'[$E($P(%ZISXX,"_",I)),")"'[$E($P(%ZISXX,"_",I),$L($P(%ZISXX,"_",I))) S $P(%ZISXX,"_",I)="("_$P(%ZISXX,"_",I)_")"
+L3 F I=1:1:$L(%ZISXX,"_") I $P(%ZISXX,"_",I)["+","$("'[$E($P(%ZISXX,"_",I)),")"'[$E($P(%ZISXX,"_",I),$L($P(%ZISXX,"_",I))) S $P(%ZISXX,"_",I)="("_$P(%ZISXX,"_",I)_")"
  Q
 STAR ;S ZISNUM="" F %ZISI=0:0 S ZISXL=ZISXL+1 S ZISCH=$E(%ZISXX,ZISXL) S:ZISCH?1N ZISNUM=ZISNUM_ZISCH I ZISCH=""!(ZISCH=",") S %ZISYY=%ZISYY_"$C("_+ZISNUM_")",ZISXL=ZISXL-1 Q
@@ -67,11 +51,9 @@
 QUOTE S %ZISYY=%ZISYY_ZISCH F %ZISI=0:0 S ZISXL=ZISXL+1 S ZISCH=$E(%ZISXX,ZISXL),%ZISYY=%ZISYY_ZISCH I ZISCH=ZISQ!(ZISXL'<ZISXLN) Q
  Q
-DOLR ;Looking for $C.
+DOLR ;LOOKING FOR $C.
  I "IXY"[$E(%ZISXX,ZISXL+1) S %ZISYY=%ZISYY_"$"_$E(%ZISXX,ZISXL+1) S ZISXL=ZISXL+1 Q
- I "ACDEFJLNOPRSTV"[$E(%ZISXX,ZISXL+1)&($E(%ZISXX,ZISXL+2)="(") S %ZISYY=%ZISYY_"$"_$E(%ZISXX,ZISXL+1),ZISXL=ZISXL+2 D PAREN Q
- S %ZISYY=%ZISYY_"$" ;p440
+ I "ACDEFJLNOPRSTV"[$E(%ZISXX,ZISXL+1)&($E(%ZISXX,ZISXL+2)="(") S %ZISYY=%ZISYY_"$"_$E(%ZISXX,ZISXL+1),ZISXL=ZISXL+2 D PAREN
  Q
-PAREN S %ZISYY=%ZISYY_"(",ZISEND=")",%ZISNP=%ZISNP+1 D SCAN S %ZISNP=%ZISNP-1
- Q
+PAREN S %ZISYY=%ZISYY_"(",ZISEND=")",%ZISNP=%ZISNP+1 D SCAN S %ZISNP=%ZISNP-1 Q
 SCAN F %ZISI=0:0 S ZISXL=ZISXL+1,ZISCH=$E(%ZISXX,ZISXL) D S1 Q:ZISXL'<ZISXLN!(ZISEND=ZISCH&(%ZISNP))
  Q
@@ -79,6 +61,5 @@
  I ZISCH="$" D DOLR Q
  I ZISCH="(" D PAREN Q
- S %ZISYY=%ZISYY_ZISCH
- Q
+ S %ZISYY=%ZISYY_ZISCH Q
  ;
 S2 ;MERGE $C
Index: FOIAVistA/tag/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/_ZOSV2.m
===================================================================
--- FOIAVistA/trunk/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/_ZOSV2.m	(revision 631)
+++ FOIAVistA/tag/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/_ZOSV2.m	(revision 636)
@@ -1,4 +1,21 @@
 %ZOSV2 ;ISF/RWF - More GT.M support routines ;10/18/06  14:29
- ;;8.0;KERNEL;**275,425**;Jul 10, 1995;Build 18
+ ;;8.0;KERNEL;**275,425**;Jul 10, 1995;Build 4;WorldVistA 30-Jan-08
+ ;Modified from FOIA VISTA,
+ ;Copyright 2008 WorldVistA.  Licensed under the terms of the GNU
+ ;General Public License See attached copy of the License.
+ ;
+ ;This program is free software; you can redistribute it and/or modify
+ ;it under the terms of the GNU General Public License as published by
+ ;the Free Software Foundation; either version 2 of the License, or
+ ;(at your option) any later version.
+ ;
+ ;This program is distributed in the hope that it will be useful,
+ ;but WITHOUT ANY WARRANTY; without even the implied warranty of
+ ;MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ ;GNU General Public License for more details.
+ ;
+ ;You should have received a copy of the GNU General Public License along
+ ;with this program; if not, write to the Free Software Foundation, Inc.,
+ ;51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. 
  Q
  ;SAVE: DIE open array reference.
@@ -25,6 +42,6 @@
  S $ETRAP="S $ECODE="""" Q"
  S %I=$I,%DIR=$$RTNDIR^%ZOSV,RN=$TR(RN,"%","_")
- I $L($ZSEARCH(%DIR_RN_".m",244)) ZSYSTEM "DEL "_%DIR_X_".m;*"
- I $L($ZSEARCH(%DIR_RN_".obj",244)) ZSYSTEM "DEL "_%DIR_X_".obj;*"
+ I $L($ZSEARCH(%DIR_RN_".m",244)) ZSYSTEM "rm -f "_%DIR_X_".m"
+ I $L($ZSEARCH(%DIR_RN_".obj",244)) ZSYSTEM "rm -f "_%DIR_X_".obj"
  I $L($ZSEARCH(%DIR_RN_".o",244)) ZSYSTEM "rm -f "_%DIR_X_".o"
  Q
Index: FOIAVistA/tag/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/_ZTLOAD4.m
===================================================================
--- FOIAVistA/trunk/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/_ZTLOAD4.m	(revision 631)
+++ FOIAVistA/tag/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/_ZTLOAD4.m	(revision 636)
@@ -1,12 +1,11 @@
-%ZTLOAD4 ;SEA/RDS-TaskMan: P I: Is Queued? ;1/24/08  16:15
- ;;8.0;KERNEL;**440**;JUL 10, 1995;Build 13
- ;Per VHA Directive 2004-038, this routine should not be modified
- ;Call with ZTSK, [ZTCPU]; Return ZTSK()
+%ZTLOAD4 ;SEA/RDS-TaskMan: P I: Is Queued? ;7/26/91  11:55 ;
+ ;;8.0;KERNEL;;JUL 10, 1995
+ ;;7.0;
+ ;
 INPUT ;check input parameters for error conditions
- N %,$ES,$ET,%ZTVOL,ZTREC,ZTD,ZT1,ZT2,ZT3
  I $D(ZTSK)[0 S ZTSK=""
- I $D(ZTSK)>1 S %=ZTSK K ZTSK S ZTSK=%
+ I $D(ZTSK)>1 S ZTLOAD=ZTSK K ZTSK S ZTSK=ZTLOAD K ZTLOAD
  I ZTSK<1!(ZTSK\1'=ZTSK) S ZTSK="",ZTSK(0)="",ZTSK("E")="IT" G QUIT
- S ZTSK(0)="",ZTSK("E")="U",$ET="Q:$ES  S $EC="""" G QUIT^%ZTLOAD4"
+ S ZTSK(0)="",ZTSK("E")="U",X="QUIT^%ZTLOAD3",@^%ZOSF("TRAP")
  S %ZTVOL=^%ZOSF("VOL")
  I $D(ZTCPU)[0 S ZTCPU=%ZTVOL
@@ -15,19 +14,18 @@
  ;
 HERE ;lookup task's status on current volume set
- L +^%ZTSK(ZTSK):1
- I $D(^%ZTSK(ZTSK,0))[0 S ZTSK("E")="I" G QUIT
- S ZTREC=^%ZTSK(ZTSK,0),ZTD=$G(^(.04))
- S ZTSK("DUZ")=$P(ZTREC,U,3),ZTSK("D")=$P(ZTREC,U,6) ;scheduled $H
+ L +^%ZTSK(ZTSK) I $D(^%ZTSK(ZTSK,0))[0 S ZTSK("E")="I" G QUIT
+ S ZTREC=^%ZTSK(ZTSK,0),ZTD=$P(ZTREC,U,6)
+ S ZTSK("DUZ")=$P(ZTREC,U,3),ZTSK("D")=ZTD
  I ZTD]"",$D(^%ZTSCH(ZTD,ZTSK))#2 S ZTSK(0)=1 G QUIT
  I ZTD]"",$D(^%ZTSCH("JOB",ZTD,ZTSK))#2 S ZTSK(0)=1 G QUIT
  ;
- S ZT1="" F  S ZT1=$O(^%ZTSCH(ZT1)) Q:'ZT1  I $D(^(ZT1,ZTSK))#2 S ZTSK(0)=1 G QUIT
- S ZT1="IO",ZT2="" F  S ZT2=$O(^%ZTSCH(ZT1,ZT2)),ZT3="" Q:ZT2=""  F  S ZT3=$O(^%ZTSCH(ZT1,ZT2,ZT3)) Q:ZT3=""  I $D(^(ZT3,ZTSK))#2 S ZTSK(0)=1 G QUIT
- S ZT1="JOB",ZT2="" F  S ZT2=$O(^%ZTSCH(ZT1,ZT2)) Q:ZT2=""  I $D(^(ZT2,ZTSK))#2 S ZTSK(0)=1 G QUIT
- S ZT1="LINK",ZT2="" F  S ZT2=$O(^%ZTSCH(ZT1,ZT2)),ZT3="" Q:ZT2=""  F  S ZT3=$O(^%ZTSCH(ZT1,ZT2,ZT3)) Q:ZT3=""  I $D(^(ZT3,ZTSK))#2 S ZTSK(0)=1 G QUIT
+ S ZT1="" F ZT=0:0 S ZT1=$O(^%ZTSCH(ZT1)) Q:'ZT1  I $D(^(ZT1,ZTSK))#2 S ZTSK(0)=1 G QUIT
+ S ZT1="IO",ZT2="" F ZT=0:0 S ZT2=$O(^%ZTSCH(ZT1,ZT2)),ZT3="" Q:ZT2=""  F ZT=0:0 S ZT3=$O(^%ZTSCH(ZT1,ZT2,ZT3)) Q:ZT3=""  I $D(^(ZT3,ZTSK))#2 S ZTSK(0)=1 G QUIT
+ S ZT1="JOB",ZT2="" F ZT=0:0 S ZT2=$O(^%ZTSCH(ZT1,ZT2)) Q:ZT2=""  I $D(^(ZT2,ZTSK))#2 S ZTSK(0)=1 G QUIT
+ S ZT1="LINK",ZT2="" F ZT=0:0 S ZT2=$O(^%ZTSCH(ZT1,ZT2)),ZT3="" Q:ZT2=""  F ZT=0:0 S ZT3=$O(^%ZTSCH(ZT1,ZT2,ZT3)) Q:ZT3=""  I $D(^(ZT3,ZTSK))#2 S ZTSK(0)=1 G QUIT
  S ZTSK(0)=0
  ;
 QUIT ;cleanup and quit
- L:ZTSK -^%ZTSK(ZTSK) ;K %ZTCPU,%ZTM,%ZTM1,%ZTM2,%ZTMAST,%ZTVOL,X,Y,ZT,ZT1,ZT2,ZT3,ZTCPU,ZTD,ZTREC
+ L:ZTSK -^%ZTSK(ZTSK) K %ZTCPU,%ZTM,%ZTM1,%ZTM2,%ZTMAST,%ZTVOL,X,Y,ZT,ZT1,ZT2,ZT3,ZTCPU,ZTD,ZTREC
  I ZTSK(0)]"" K ZTSK("E") Q
  I ZTSK("E")'="U" Q
@@ -36,5 +34,4 @@
  ;
 THERE ;rest of code looks up task's status on some other volume set
- N %ZTCPU,%ZTM,X,Y
  ;
 FILES ;find TaskMan files on the volume set to be searched
@@ -48,13 +45,13 @@
 SEARCH ;find out if task is queued on that volume set
  I $D(^[X,Y]%ZTSK(ZTSK,0))[0 S ZTSK("E")="I" G QUIT
- S ZTREC=^[X,Y]%ZTSK(ZTSK,0),ZTD=$G(^(.04))
- S ZTSK("DUZ")=$P(ZTREC,U,3),ZTSK("D")=$P(ZTREC,U,6)
+ S ZTREC=^[X,Y]%ZTSK(ZTSK,0),ZTD=$P(ZTREC,U,6)
+ S ZTSK("DUZ")=$P(ZTREC,U,3),ZTSK("D")=ZTD
  I ZTD]"",$D(^[X,Y]%ZTSCH(ZTD,ZTSK))#2 S ZTSK(0)=1 G QUIT
  I ZTD]"",$D(^[X,Y]%ZTSCH("JOB",ZTD,ZTSK))#2 S ZTSK(0)=1 G QUIT
  ;
- S ZT1="" F  S ZT1=$O(^[X,Y]%ZTSCH(ZT1)) Q:'ZT1  I $D(^(ZT1,ZTSK))#2 S ZTSK(0)=1 G QUIT
- S ZT1="IO",ZT2="" F  S ZT2=$O(^[X,Y]%ZTSCH(ZT1,ZT2)),ZT3="" Q:ZT2=""  F  S ZT3=$O(^[X,Y]%ZTSCH(ZT1,ZT2,ZT3)) Q:ZT3=""  I $D(^(ZT3,ZTSK))#2 S ZTSK(0)=1 G QUIT
- S ZT1="JOB",ZT2="" F  S ZT2=$O(^[X,Y]%ZTSCH(ZT1,ZT2)) Q:ZT2=""  I $D(^(ZT2,ZTSK))#2 S ZTSK(0)=1 G QUIT
- S ZT1="LINK",ZT2="" F  S ZT2=$O(^[X,Y]%ZTSCH(ZT1,ZT2)),ZT3="" Q:ZT2=""  F  S ZT3=$O(^[X,Y]%ZTSCH(ZT1,ZT2,ZT3)) Q:ZT3=""  I $D(^(ZT3,ZTSK))#2 S ZTSK(0)=1 G QUIT
+ S ZT1="" F ZT=0:0 S ZT1=$O(^[X,Y]%ZTSCH(ZT1)) Q:'ZT1  I $D(^(ZT1,ZTSK))#2 S ZTSK(0)=1 G QUIT
+ S ZT1="IO",ZT2="" F ZT=0:0 S ZT2=$O(^[X,Y]%ZTSCH(ZT1,ZT2)),ZT3="" Q:ZT2=""  F ZT=0:0 S ZT3=$O(^[X,Y]%ZTSCH(ZT1,ZT2,ZT3)) Q:ZT3=""  I $D(^(ZT3,ZTSK))#2 S ZTSK(0)=1 G QUIT
+ S ZT1="JOB",ZT2="" F ZT=0:0 S ZT2=$O(^[X,Y]%ZTSCH(ZT1,ZT2)) Q:ZT2=""  I $D(^(ZT2,ZTSK))#2 S ZTSK(0)=1 G QUIT
+ S ZT1="LINK",ZT2="" F ZT=0:0 S ZT2=$O(^[X,Y]%ZTSCH(ZT1,ZT2)),ZT3="" Q:ZT2=""  F ZT=0:0 S ZT3=$O(^[X,Y]%ZTSCH(ZT1,ZT2,ZT3)) Q:ZT3=""  I $D(^(ZT3,ZTSK))#2 S ZTSK(0)=1 G QUIT
  S ZTSK(0)=0 G QUIT
  ;
Index: FOIAVistA/tag/r/LAB_SERVICE-LR-LS/LR138PO.m
===================================================================
--- FOIAVistA/trunk/r/LAB_SERVICE-LR-LS/LR138PO.m	(revision 631)
+++ FOIAVistA/tag/r/LAB_SERVICE-LR-LS/LR138PO.m	(revision 636)
@@ -1,4 +1,21 @@
 LR138PO ;DALISC/FHS - LR*5.2*138 POST INSTALL ROUTINE KIDS INSTALL
- ;;5.2;LAB SERVICE;**138**;Sep 27, 1994
+ ;;5.2;LAB SERVICE;**138**;Sep 27, 1994;Build 4
+ ;Modified from FOIA VISTA,
+ ;Copyright 2008 WorldVistA.  Licensed under the terms of the GNU
+ ;General Public License See attached copy of the License.
+ ;
+ ;This program is free software; you can redistribute it and/or modify
+ ;it under the terms of the GNU General Public License as published by
+ ;the Free Software Foundation; either version 2 of the License, or
+ ;(at your option) any later version.
+ ;
+ ;This program is distributed in the hope that it will be useful,
+ ;but WITHOUT ANY WARRANTY; without even the implied warranty of
+ ;MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ ;GNU General Public License for more details.
+ ;
+ ;You should have received a copy of the GNU General Public License along
+ ;with this program; if not, write to the Free Software Foundation, Inc.,
+ ;51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 EN ;Builds Laboratory OOS Locations for each LMIP valid WKLD Divison
  ;
@@ -15,5 +32,5 @@
  I 'LRPKG S LRPKG=$O(^DIC(9.4,"B","LAB SERVICE",0))
  I 'LRPKG D  G END
- .W !!$$CJ^XLFSTR("Not able to find 'LAB SERVICE' in your Package (#9.4) file.",80),!,$$CJ^XLFSTR("Contact your IRM Service !!",80),!!,$C(7) H 5 S XPDQUIT=2
+ .W !!,$$CJ^XLFSTR("Not able to find 'LAB SERVICE' in your Package (#9.4) file.",80),!,$$CJ^XLFSTR("Contact your IRM Service !!",80),!!,$C(7) H 5 S XPDQUIT=2
  . W !,$$CJ^XLFSTR("POST INSTALL ABORTED",80)
  W !!,$$CJ^XLFSTR("Creating Laboratory OOS Workload Locations",80),!!
Index: FOIAVistA/tag/r/LAB_SERVICE-LR-LS/LR7OB69.m
===================================================================
--- FOIAVistA/trunk/r/LAB_SERVICE-LR-LS/LR7OB69.m	(revision 631)
+++ FOIAVistA/tag/r/LAB_SERVICE-LR-LS/LR7OB69.m	(revision 636)
@@ -1,4 +1,4 @@
 LR7OB69 ;slc/dcm/JAH - Get Lab order data from 69 - 68 - 63 ;8/10/04
- ;;5.2;LAB SERVICE;**121,187,224,291,373**;Sep 27, 1994;Build 1
+ ;;5.2;LAB SERVICE;**121,187,224,291**;Sep 27, 1994
  ;
 69(ODT,SN) ;Get data from file 69
@@ -33,5 +33,6 @@
  Q:'$D(^LR(+X0,0))  ;No matching entry in ^LR
  S:'$D(DFN) DFN=$P(^LR(+X0,0),"^",3) S:'$D(LRDFN) LRDFN=+X0 S:'$D(LRDPF) LRDPF=$P(^LR(+X0,0),"^",2)_$G(^DIC(+$P(^LR(+X0,0),"^",2),0,"GL"))
- S Y1=+XP1,Y2=$S($P(X1,"^"):$P(X1,"^"),1:$P(X0,"^",8)),Y3=$P(X0,"^",3),Y4=$P(X0,"^",4),Y5=$P(X0,"^",5),Y6=$P(X0,"^",6),Y7=$P(X0,"^",9),Y8=$P(X3,"^"),Y9=$P(X3,"^",2),Y11=$P(X0,"^",11),Y12=$P(X0,"^",2)
+ S Y1=+XP1,Y2=$S($P(X1,"^"):$P(X1,"^"),1:$P(X0,"^",8)),Y3=$P(X0,"^",3),Y4=$P(X0,"^",4),Y5=$P(X0,"^",5),Y6=$P(X0,"^",6),Y7=$P(X0,"^",7),Y8=$P(X3,"^"),Y9=$P(X3,"^",2),Y11=$P(X0,"^",11),Y12=$P(X0,"^",2)
+ S:$L(Y7) Y7=$O(^SC("C",Y7,0))
  ;canceled entries are skipped, so calls to this routine from options
  ;that are removing tests need to make the call before setting the pieces
Index: FOIAVistA/tag/r/LAB_SERVICE-LR-LS/LR7OGG.m
===================================================================
--- FOIAVistA/trunk/r/LAB_SERVICE-LR-LS/LR7OGG.m	(revision 631)
+++ FOIAVistA/tag/r/LAB_SERVICE-LR-LS/LR7OGG.m	(revision 636)
@@ -1,4 +1,4 @@
 LR7OGG ;DALOI/STAFF- Interim report rpc grid ; Feb 9, 2005
- ;;5.2;LAB SERVICE;**187,290,364**;Sep 27, 1994;Build 3
+ ;;5.2;LAB SERVICE;**187,290**;Sep 27, 1994
  ;
 TEST ; test use only
@@ -32,5 +32,5 @@
  S ^TMP("LR7OGX",$J,"OUTPUT",1)="0^0^0^1"
  N ABCNT,ABDCNT,ABLINE,ABTCNT,ABTLINE,ADCNT,ADSEQ,AGE,ATCNT,ATSEQ,CDT,CHSUB,COMCNT,COMMENT,DATACNT,DATESEQ,DFN,EDATE,EDT,FLAG,IDT
- N LINE,LRCW,LRDFN,LRX,NUM,ONLYSPEC,OUTCNT,PNM,PRNTCODE,RESULT,SDATE,SEX,SPEC,SPECNAME,TESTNAME,TESTNUM,TESTSEQ,TESTZERO,X,ZERO,INEXACT,DISPDATE
+ N LINE,LRCW,LRDFN,LRX,NUM,ONLYSPEC,OUTCNT,PNM,PRNTCODE,RESULT,SDATE,SEX,SPEC,SPECNAME,TESTNAME,TESTNUM,TESTSEQ,TESTZERO,X,ZERO
  K ^TMP("LR7OG",$J)
  S DFN=+^TMP("LR7OGX",$J,"INPUT",1),SDATE=+$P(^(1),U,2),EDATE=+$P(^(1),U,3),ONLYSPEC=+$P(^(1),U,4)
@@ -56,5 +56,5 @@
  . S ZERO=^LR(LRDFN,"CH",IDT,0)
  . I '$P(ZERO,U,3) Q
- . S CDT=+ZERO,INEXACT=$P(ZERO,U,2),SPEC=+$P(ZERO,U,5),SPECNAME=$P($G(^LAB(61,SPEC,0)),U),COMMENT=$S($O(^LR(LRDFN,"CH",IDT,1,0)):"**",1:"")
+ . S CDT=+ZERO,SPEC=+$P(ZERO,U,5),SPECNAME=$P($G(^LAB(61,SPEC,0)),U),COMMENT=$S($O(^LR(LRDFN,"CH",IDT,1,0)):"**",1:"")
  . I ONLYSPEC,SPEC'=ONLYSPEC Q
  . S CHSUB=1
@@ -64,6 +64,5 @@
  . . . S DATESEQ=DATESEQ+1
  . . . S OUTCNT=OUTCNT+1
- . . . S DISPDATE=$S(INEXACT:CDT\1,1:CDT)
- . . . S ^TMP("LR7OGX",$J,"OUTPUT",OUTCNT)=DATESEQ_U_CDT_U_SPEC_U_SPECNAME_U_COMMENT_U_DISPDATE
+ . . . S ^TMP("LR7OGX",$J,"OUTPUT",OUTCNT)=DATESEQ_U_CDT_U_SPEC_U_SPECNAME_U_COMMENT
  . . . I COMMENT'="" D
  . . . . S COMCNT=COMCNT+1
Index: FOIAVistA/tag/r/LAB_SERVICE-LR-LS/LR7OGMG.m
===================================================================
--- FOIAVistA/trunk/r/LAB_SERVICE-LR-LS/LR7OGMG.m	(revision 631)
+++ FOIAVistA/tag/r/LAB_SERVICE-LR-LS/LR7OGMG.m	(revision 636)
@@ -1,8 +1,8 @@
 LR7OGMG ;DALOI/STAFF- Interim report rpc memo grid ;July 19, 2006
- ;;5.2;LAB SERVICE;**187,230,286,290,331,364**;Sep 27, 1994;Build 3
+ ;;5.2;LAB SERVICE;**187,230,286,290,331**;Sep 27, 1994;Build 7
  ;
 GRID(OUTCNT) ; from LR7OGMC
  N ACC,AGE,CDT,CMNT,DATA,DOC,FLAG,IDT,INTP,LINE,LRCW,LRX,MPLS,PLS,PORDER,PRNTCODE,RANGE,SEX,SPEC,SUB,TCNT,TESTNAME,TESTNUM
- N UNITS,VALUE,X,ZERO,INEXACT,DISPDATE
+ N UNITS,VALUE,X,ZERO
  ; the variables AGE, SEX, LRCW, and X are used withing the lab's print codes and ref ranges
  K ^TMP("LRMPLS",$J)
@@ -13,9 +13,7 @@
  I '$P(ZERO,U,3) Q
  S SPEC=+$P(ZERO,U,5)
- S INEXACT=$P(ZERO,U,2),DISPDATE=$S(INEXACT:CDT\1,1:CDT)
  S DOC=$$NAME^LR7OGMP(+$P(ZERO,U,10))
  S ACC=$P(ZERO,U,6)
  S $P(^TMP("LR7OGX",$J,"OUTPUT",1),U,4,6)=SPEC_U_$P($G(^LAB(61,SPEC,0)),U)_U_ACC_U_DOC
- S $P(^TMP("LR7OGX",$J,"OUTPUT",1),U,10)=DISPDATE
  S (TCNT,MPLS,PORDER,PLS)=0
  S PLS=$O(^TMP("LRPLS",$J,0))
Index: FOIAVistA/tag/r/LAB_SERVICE-LR-LS/LR7OGMM.m
===================================================================
--- FOIAVistA/trunk/r/LAB_SERVICE-LR-LS/LR7OGMM.m	(revision 631)
+++ FOIAVistA/tag/r/LAB_SERVICE-LR-LS/LR7OGMM.m	(revision 636)
@@ -1,7 +1,7 @@
 LR7OGMM ;SLC/STAFF- Interim report rpc memo micro ;5/20/97  18:52
- ;;5.2;LAB SERVICE;**187,312,364**;Sep 27, 1994;Build 3
+ ;;5.2;LAB SERVICE;**187,312**;Sep 27, 1994
  ;
 MI(LRDFN,IDT,MICROSUB,ALL,OUTCNT,FORMAT,DONE) ; from LR7OGM
- N MISUB,OK,ZERO,INEXACT,DISPDATE,XDT
+ N MISUB,OK
  I '$D(^LR(LRDFN,"MI",IDT)) Q
  S OK=ALL
@@ -9,12 +9,5 @@
  I 'OK Q
  I $G(FORMAT) D
- .S XDT=9999999-IDT
- .S ^TMP("LR7OGX",$J,"OUTPUT",OUTCNT)="^MI^"_XDT D
- ..; determine if collection time is "inexact" and put the 
- ..; collection day/time that is to be displayed in piece 10
- ..S ZERO=$G(^LR(LRDFN,"MI",IDT,0)) Q:ZERO=""
- ..S INEXACT=$P(ZERO,U,2)
- ..S DISPDATE=$S(INEXACT:XDT\1,1:XDT)
- ..S $P(^TMP("LR7OGX",$J,"OUTPUT",OUTCNT),U,10)=DISPDATE
+ .S ^TMP("LR7OGX",$J,"OUTPUT",OUTCNT)="^MI^"_(9999999-IDT)
  .S OUTCNT=OUTCNT+1
  .S DONE=1
Index: FOIAVistA/tag/r/LAB_SERVICE-LR-LS/LR7OGMP.m
===================================================================
--- FOIAVistA/trunk/r/LAB_SERVICE-LR-LS/LR7OGMP.m	(revision 631)
+++ FOIAVistA/tag/r/LAB_SERVICE-LR-LS/LR7OGMP.m	(revision 636)
@@ -1,4 +1,4 @@
-LR7OGMP ;DALOI/STAFF- Interim report rpc memo print ; Mar 10, 2003
- ;;5.2;LAB SERVICE;**187,246,282,286,344**;Sep 27, 1994
+LR7OGMP ;DALOI/STAFF- Interim report rpc memo print ;10/10/07  11:52
+ ;;5.2;LAB SERVICE;**187,246,282,286,344**;Sep 27, 1994;Build 2
  ;
 PRINT(OUTCNT) ; from LR7OGMC
@@ -27,5 +27,7 @@
  .. S TESTNUM=+DATA,PRNTCODE=$P(DATA,U,5),SUB=$P(DATA,U,6),FLAG=$P(DATA,U,8),X=$P(DATA,U,7),UNITS=$P(DATA,U,9),RANGE=$P(DATA,U,10),SITE=$P(DATA,U,11)
  .. S LOW=$P(RANGE,"-"),HIGH=$P(RANGE,"-",2),THER=$P(DATA,U,12)
- .. S LINE="     "_$S($L($P(DATA,U,2))>20:$P(DATA,U,3),1:$P(DATA,U,2))
+ .. ;S LINE="     "_$S($L($P(DATA,U,2))>20:$P(DATA,U,3),1:$P(DATA,U,2))
+ .. I $L($P(DATA,U,2))>28,$P(DATA,U,3)'="" S LINE=$P(DATA,U,3)
+ .. E  S LINE=$E($P(DATA,U,2),1,28)
  .. S LINE=$$SETSTR^VALM1("",LINE,28,0)
  .. I PRNTCODE="" S LINE=LINE_$J(X,8)
Index: FOIAVistA/tag/r/LAB_SERVICE-LR-LS/LR7OSUM1.m
===================================================================
--- FOIAVistA/trunk/r/LAB_SERVICE-LR-LS/LR7OSUM1.m	(revision 631)
+++ FOIAVistA/tag/r/LAB_SERVICE-LR-LS/LR7OSUM1.m	(revision 636)
@@ -1,4 +1,4 @@
-LR7OSUM1 ;DALOI/dcm - Silent Patient cum cont. ; Mar 11, 2003
- ;;5.2;LAB SERVICE;**121,187,256,286**;Sep 27, 1994
+LR7OSUM1 ;DALOI/dcm - Silent Patient cum cont. ;10/10/07  11:51
+ ;;5.2;LAB SERVICE;**121,187,256,286**;Sep 27, 1994;Build 2
  ;
 LRIDT ; from LR7OSUM
@@ -90,5 +90,8 @@
  S ^TMP($J,LRDFN,"MISC",LRIDT,LRTNN)=$P(LRTRES,"^")_U_LRSPM_U_LRTST_U_$P(LRTRES,"^",2)_U_LRSUB_U_$P(LRTRES,"^",3,6)
  ;
- S X=$S($D(^LAB(60,LRTST,.1)):$P(^(.1),"^"),1:$P(^LAB(60,LRTST,0),"^")),^TMP("LRT",$J,X)="MISCELLANEOUS TESTS"
+ ; S X=$S($D(^LAB(60,LRTST,.1)):$P(^(.1),"^"),1:$P(^LAB(60,LRTST,0),"^")),^TMP("LRT",$J,X)="MISCELLANEOUS TESTS"
+ S TST=$P($G(^LAB(60,LRTST,.1)),"^")
+ I TST="" S TST=$P(^LAB(60,LRTST,0),"^")
+ S ^TMP("LRT",$J,TST)="MISCELLANEOUS TESTS"
  ;
  ; Grab specimen comments
Index: FOIAVistA/tag/r/LAB_SERVICE-LR-LS/LR7OSUM6.m
===================================================================
--- FOIAVistA/trunk/r/LAB_SERVICE-LR-LS/LR7OSUM6.m	(revision 631)
+++ FOIAVistA/tag/r/LAB_SERVICE-LR-LS/LR7OSUM6.m	(revision 636)
@@ -1,4 +1,4 @@
-LR7OSUM6 ;DALOI/dcm - Silent Patient cum cont. ;Mar 11, 2003
- ;;5.2;LAB SERVICE;**121,201,187,286,356**;Sep 27, 1994;Build 8
+LR7OSUM6 ;DALOI/dcm - Silent Patient cum cont. ;10/10/07  19:26
+ ;;5.2;LAB SERVICE;**121,201,187,286,356**;Sep 27, 1994;Build 2
  ;
 LRUDT(X) ;Get output date/time
@@ -43,5 +43,8 @@
  S LRSPEM=$S($L(LRSPE):$P(^LAB(61,LRSPE,0),U,1),1:"")
  G:'LRTEST COMM
- S LRNAME=$P(^LAB(60,LRTEST,.1),U,1)
+ S LRNAME=$P(^LAB(60,LRTEST,0),"^")
+ I $L(LRNAME)>13,$P($G(^LAB(60,LRTEST,.1)),"^")'="" S LRNAME=$P(^LAB(60,LRTEST,.1),"^")
+ E  S LRNAME=$E(LRNAME,1,13)
+ ; S LRNAME=$P(^LAB(60,LRTEST,.1),U,1)
  ;S:$L(LRSPE)&($D(^LAB(60,LRTEST,1,LRSPE,0))) X=^(0),@("LRLO="_$S($L($P(X,U,2)):$P(X,U,2),1:"""""")),@("LRHI="_$S($L($P(X,U,3)):$P(X,U,3),1:"""""")),LRUNT=$P(X,U,7)
  ;
Index: FOIAVistA/tag/r/LAB_SERVICE-LR-LS/LR7OV0.m
===================================================================
--- FOIAVistA/trunk/r/LAB_SERVICE-LR-LS/LR7OV0.m	(revision 631)
+++ FOIAVistA/tag/r/LAB_SERVICE-LR-LS/LR7OV0.m	(revision 636)
@@ -1,4 +1,4 @@
 LR7OV0 ;slc/dcm - Update orderable items ;8/11/97
- ;;5.2;LAB SERVICE;**121,187,357,361**;Sep 27, 1994
+ ;;5.2;LAB SERVICE;**121,187,357,361**;Sep 27, 1994;Build 2
  ;
 TEST(TEST,ICNT) ;Process single test
@@ -41,4 +41,5 @@
  Q MFI
 SINGLE(TEST,MFICODE,MFECODE) ;Message for a single test
+ L +LR7OV0(TEST)
  ;TEST= ptr to test in file 60
  ;MFICODE=File Level Event Code
@@ -50,4 +51,5 @@
  ;W !!,$P(^LAB(60,TEST,0),"^"),! I $D(ORUPDMSG(3)) ZW ORUPDMSG
  I $D(ORUPDMSG(3)) S ORUPDMSG="ORUPDMSG" D MSG^XQOR("LR7O ORDERABLE OR",.ORUPDMSG) ;Send update message
+ L -LR7OV0(TEST)
  Q
 ADD(TEST) ;Add single record to Master file
Index: FOIAVistA/tag/r/LAB_SERVICE-LR-LS/LRAPBR1.m
===================================================================
--- FOIAVistA/trunk/r/LAB_SERVICE-LR-LS/LRAPBR1.m	(revision 631)
+++ FOIAVistA/tag/r/LAB_SERVICE-LR-LS/LRAPBR1.m	(revision 636)
@@ -1,4 +1,4 @@
 LRAPBR1 ;DALOI/WTY/KLL;AP Browser Print Cont.;11/08/01
- ;;5.2;LAB SERVICE;**259,317,363**;Sep 27, 1994;Build 3
+ ;;5.2;LAB SERVICE;**259,317**;Sep 27, 1994
  ;
  ;
@@ -101,5 +101,4 @@
  .S X=$T(FIELDS+LRCNT)
  .S LRV=$P(X,";",2),LRV1=$P(X,";",3),LRV2=$P(X,";",4)
- .D TEXTCHK
  .I $P($G(^LR(LRDFN,LRSS,LRI,LRV,0)),U,4) D
  ..D GLENTRY("","",1),GLENTRY(LR(69.2,LRV1),"",1)
@@ -252,15 +251,2 @@
  ;1.1;.04;4
  ;1.4;.14;5
-TEXTCHK ; update text line counter if it is missing (Remedy 116253)
- N I,X,DATA
- S I=0
- K ^TMP("WP",$J)
- S X=$G(^LR(LRDFN,LRSS,LRI,LRV,0))
- I X'="",$L(X,"^")=1 D
- . F  S I=$O(^LR(LRDFN,LRSS,LRI,LRV,I)) Q:I=""  D
- . . S DATA=$G(^LR(LRDFN,LRSS,LRI,LRV,I,0))
- . . S ^TMP("WP",$J,I,0)=DATA
- I $D(^TMP("WP",$J)) D
- . D WP^DIE(63.08,LRI_","_LRDFN_",",LRV,"","^TMP(""WP"",$J)")
- . K ^TMP("WP",$J)
- Q
Index: FOIAVistA/tag/r/LAB_SERVICE-LR-LS/LRSPT.m
===================================================================
--- FOIAVistA/trunk/r/LAB_SERVICE-LR-LS/LRSPT.m	(revision 631)
+++ FOIAVistA/tag/r/LAB_SERVICE-LR-LS/LRSPT.m	(revision 636)
@@ -1,4 +1,4 @@
 LRSPT ;AVAMC/REG/WTY - AP PRELIMINARY REPORTS ;10/16/01
- ;;5.2;LAB SERVICE;**1,72,248,259,373**;Sep 27, 1994;Build 1
+ ;;5.2;LAB SERVICE;**1,72,248,259**;Sep 27, 1994
  ;
  ;Reference to ^%DT supported by IA #10003
@@ -67,5 +67,5 @@
  K ^UTILITY($J) S DIWR=IOM-5,DIWF="W",LR("A")=0
  W ! F LRZ=0:1 S LR("A")=$O(^LRO(69.2,LRAA,10,LR("A"))) Q:'LR("A")  D
- .D:$Y>(IOSL-13) F^LRAPF,H S X=^LRO(69.2,LRAA,10,LR("A"),0) D ^DIWP
+ .D:$Y>(IOSL-6) H S X=^LRO(69.2,LRAA,10,LR("A"),0) D ^DIWP
  D:LRZ ^DIWW
  S LRO=1 D F^LRAPF
Index: FOIAVistA/tag/r/LAB_SERVICE-LR-LS/LRSRVR6.m
===================================================================
--- FOIAVistA/trunk/r/LAB_SERVICE-LR-LS/LRSRVR6.m	(revision 631)
+++ FOIAVistA/tag/r/LAB_SERVICE-LR-LS/LRSRVR6.m	(revision 636)
@@ -1,4 +1,4 @@
 LRSRVR6 ;DALIO/JMC - LAB DATA SERVER CONT'D SNOMED EXTRACT ;Aug 17, 2006
- ;;5.2;LAB SERVICE;**346,378**;Sep 27, 1994;Build 1
+ ;;5.2;LAB SERVICE;**346**;Sep 27, 1994;Build 10
  ; Produces SNOMED extract via LRLABSERVER option
  ;
@@ -119,5 +119,4 @@
  S LRINSTR("ADDR FLAGS")="R"
  S LRINSTR("FROM")="LAB_PACKAGE"
- S LRMSUBJ=$E(LRMSUBJ,1,65)
  D SENDMSG^XMXAPI(.5,LRMSUBJ,"^TMP($J,""LRDATA"")",.LRTO,.LRINSTR,.LRTASK)
  Q
